package soln;
import java.awt.BasicStroke;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.Shape;
import java.awt.geom.Rectangle2D;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Scanner;

import javax.swing.JFrame;

import type.lang.UniPanel;

public class Labtest09_Sec02_Part2 {

	/**
	 * @param args
	 * @throws IOException
	 * @throws ClassNotFoundException
	 */
	public static void main(String[] args) throws IOException,
			ClassNotFoundException {

		/**
		 * [4 marks] Step 1: There is a file called "L09.obj" that is included
		 * in this project and it contains the serialized representations of
		 * three Shape objects. Craft some lines of code that will create the
		 * necessary services so that you can read the Shape objects from this
		 * file. Consult section 9.3.2 for how to deserialize objects from a
		 * file. You know the type of the object, but the readObject method
		 * returns an object of type Object. So you will need to perform a cast.
		 * When you have read each object, print it to System.out.
		 */
		String filename = "L09.obj";
		FileInputStream fis = new FileInputStream(filename);
		ObjectInputStream ois = new ObjectInputStream(fis);
		Object obj1 = ois.readObject();
		Object obj2 = ois.readObject();
		Object obj3 = ois.readObject();
		System.out.println(obj1);
		System.out.println(obj2);
		System.out.println(obj3);

		/**
		 * [3 marks] Step 3: Store the Shape objects that have been read in a
		 * collection called "theCollection" that is a collection of Shape
		 * elements. The exact choice is left to you, but choose something
		 * appropriate.
		 */
		List<Shape> theCollection = new ArrayList<Shape>();
		theCollection.add((Shape) obj1);
		theCollection.add((Shape) obj2);
		theCollection.add((Shape) obj3);

		/**
		 * [3 marks] Step 3: iterate over the collection and print the bounds of
		 * each Shape element contained within it. There is a method getBounds()
		 * that you can use. The choice of formatting is left to you, but each
		 * element should be printed on its own line.
		 */

		for (Shape r : theCollection) {
			System.out.println(r.getBounds());
		}

	}
}
